.mwform-radio-field {
  position: relative;
  padding-left: 23px;
  display: flex;
  align-items: center;
}

.mwform-radio-field-text {
  font-size: 1.6rem;
  font-weight: $medium;
  line-height: getem(16, 36);
  @include sp {
    font-size: getsp375(3.2rem);
    padding-top: 2px;
  }
}

.mwform-checkbox-field {
  display: flex;
  flex-shrink: 0;
  flex-grow: 1;
  align-items: center;
  position: relative;
  padding-left: 25px;
}

.mwform-checkbox-field-text {
  font-size: 1.6rem;
  font-weight: $bold;
  line-height: getem(16, 36);
  margin-left: 6px;
  @include sp {
    font-size: getsp375(3.2rem);
  }

  &--other {
    font-weight: $regular;
  }
}

.mw_wp_form_confirm {
  .form__input-container--checkup-type {
    font-weight: $bold;
  }
}

[type="checkbox"]:not(:checked),
[type="checkbox"]:checked,
[type="radio"]:not(:checked),
[type="radio"]:checked {
  position: absolute;
  left: -9999px;

  &+span {
    cursor: pointer;
  }
}

[type="checkbox"]:not(:checked),
[type="checkbox"]:checked {
  &+span::before {
    content: ' ';
    position: absolute;
    left: 0;
    top: 8px;
    border: 1px solid #c9c9c9;
    border-radius: 4px;
    background-color: $white;
    width: 15px;
    height: 15px;
  }

  &+span::after {
    content: ' ';
    width: 15px;
    height: 15px;
    position: absolute;
    top: 10px;
    left: 1px;
    background-image: url('../img/checkmark.png');
    background-size: 100%;
    background-repeat: no-repeat;
    opacity: 0;
    transition: all 150ms ease;
  }
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

[type="checkbox"]:checked {
  &+span::after {
    opacity: 1;
  }
}

[type="radio"]:not(:checked),
[type="radio"]:checked {
  &+span::before {
    content: ' ';
    width: 14px;
    height: 14px;
    position: absolute;
    top: 10px;
    left: 0;
    border: solid 0.3px #aaa;
    border-radius: 100%;
    background-color: #eee;
    box-shadow: inset 0px 0.5px 1px rgba($color: #00000027, $alpha: 0.3);
  }

  &+span::after {
    content: ' ';
    width: 10px;
    height: 10px;
    position: absolute;
    left: 3px;
    top: 13.5px;
    background-color: $primary;
    border-radius: 100%;
    opacity: 0;
    transition: all 150ms ease;
    @include sp {
      top: 13px;
      left: 3px;
    }
  }
}

[type="radio"]:checked {
  &+span::after {
    opacity: 1;
    box-shadow: unset;
  }
}
